summaryrefslogtreecommitdiffstats
path: root/libraries/libxml++
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev@gmail.com>2010-05-12 17:41:53 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:41:53 +0200
commit1e859b2254c24e6197afccf9ee40533d5e8d7f69 (patch)
tree4e0557b07a87a74abb599fbc1c88c2132e3628b6 /libraries/libxml++
parent7d6bc4621b5eaafa33da9d3d66fed90955d816cb (diff)
downloadslackbuilds-1e859b2254c24e6197afccf9ee40533d5e8d7f69.tar.gz
slackbuilds-1e859b2254c24e6197afccf9ee40533d5e8d7f69.tar.xz
libraries/libxml++: Updated for version 2.24.2
Diffstat (limited to 'libraries/libxml++')
-rw-r--r--libraries/libxml++/libxml++.SlackBuild17
-rw-r--r--libraries/libxml++/libxml++.info8
2 files changed, 17 insertions, 8 deletions
diff --git a/libraries/libxml++/libxml++.SlackBuild b/libraries/libxml++/libxml++.SlackBuild
index 5ec7c886a6..831ad8e5e2 100644
--- a/libraries/libxml++/libxml++.SlackBuild
+++ b/libraries/libxml++/libxml++.SlackBuild
@@ -6,10 +6,11 @@
# Modified by Michiel van Wessem <michiel@slackbuilds.org>
PRGNAM=libxml++
-VERSION=2.20.0
+VERSION=2.24.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,6 +22,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
@@ -30,20 +33,26 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
diff --git a/libraries/libxml++/libxml++.info b/libraries/libxml++/libxml++.info
index 2d60f43c31..34ac1f4bfb 100644
--- a/libraries/libxml++/libxml++.info
+++ b/libraries/libxml++/libxml++.info
@@ -1,8 +1,8 @@
PRGNAM="libxml++"
-VERSION="2.20.0"
+VERSION="2.24.2"
HOMEPAGE="http://libxmlplusplus.sourceforge.net"
-DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.20/libxml++-2.20.0.tar.bz2"
-MD5SUM="4fe6ae1344e523ea4756733be71f9af3"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.24/libxml++-2.24.2.tar.bz2"
+MD5SUM="ec98c0975cc21d62c3e9e71f3beffde2"
MAINTAINER="Iskar Enev"
EMAIL="iskar.enev@gmail.com"
-APPROVED="rworkman, Michiel"
+APPROVED="dsomero"